# GstVaDisplayDrm

This is a GstVaDisplay subclass to instantiate with DRM devices.

## GstVaDisplayDrm

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVaDisplay
                    ╰──GstVaDisplayDrm

Since : 1.20

### Class structure

#### GstVaDisplayDrmClass

Since : 1.20

### GstVa.VaDisplayDrmClass

Since : 1.20

### GstVa.VaDisplayDrmClass

Since : 1.20

## GstVa.VaDisplayDrm

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayDrm

Since : 1.20

## GstVa.VaDisplayDrm

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayDrm

Since : 1.20

### Constructors

#### gst_va_display_drm_new_from_path

    GstVaDisplay *
    gst_va_display_drm_new_from_path (const gchar * path)

Creates a new GstVaDisplay from a DRM device . It will try to open and operate the device in path.

Parameters:

`path` –

the path to the DRM device

Returns ( [transfer: full]) –

a newly allocated GstVaDisplay if the specified DRM render device could be opened and initialized; otherwise NULL is returned.

Since : 1.20

#### GstVa.VaDisplayDrm.prototype.new_from_path

    function GstVa.VaDisplayDrm.prototype.new_from_path(path: String): {
        // javascript wrapper for 'gst_va_display_drm_new_from_path'
    }

Creates a new GstVa.VaDisplay from a DRM device . It will try to open and operate the device in path.

Parameters:

`path` (String) –

the path to the DRM device

Returns (GstVa.VaDisplay) –

a newly allocated GstVa.VaDisplay if the specified DRM render device could be opened and initialized; otherwise null is returned.

Since : 1.20

#### GstVa.VaDisplayDrm.new_from_path

    def GstVa.VaDisplayDrm.new_from_path (path):
        #python wrapper for 'gst_va_display_drm_new_from_path'

Creates a new GstVa.VaDisplay from a DRM device . It will try to open and operate the device in path.

Parameters:

`path` (str) –

the path to the DRM device

Returns (GstVa.VaDisplay) –

a newly allocated GstVa.VaDisplay if the specified DRM render device could be opened and initialized; otherwise None is returned.

Since : 1.20

### Properties

#### path

    “path” gchar *

Flags : Read / Write / Construct Only

#### path

    “path” String

Flags : Read / Write / Construct Only

#### path

    “self.props.path” str

Flags : Read / Write / Construct Only

The results of the search are